From: Stuart Prescott <stuart@debian.org>
Date: Mon, 7 Nov 2022 00:15:01 +0000
Subject: Fix properties introspection

Fix a backtrace from modifying a dictionary while iterating its keys.
Thanks to Olivier <oc-spam65@laposte.net> for the patch.

Closes: #1015822
---
 bkchem/Pmw.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bkchem/Pmw.py b/bkchem/Pmw.py
index e19c53b..3d32f2f 100644
--- a/bkchem/Pmw.py
+++ b/bkchem/Pmw.py
@@ -549,7 +549,7 @@ class MegaArchetype(object):
 
             alias = alias + '_'
             aliasLen = len(alias)
-            for option in keywords.keys():
+            for option in list(keywords.keys()):
                 if len(option) > aliasLen and option[:aliasLen] == alias:
                     newkey = component + '_' + option[aliasLen:]
                     keywords[newkey] = keywords[option]
